'ATtiny13 Sparrow blink LEDs
$regfile = "attiny13.dat"
$crystal = 1200000
$hwstack = 8
$swstack = 4
$framesize = 4
Config Portb = &B000011010
Dim T As Byte
Dim N As Byte
Dim M As Byte

Led1 Alias Portb.1
Led2 Alias Portb.3
S1 Alias Pinb.0
S2 Alias Pinb.2

Do
  If S2 = 0 Then
    Waitms 50
    If M < 6 Then M = M + 1
    Do
    Loop Until S2 = 1
    Waitms 50
  End If
  If S1 = 0 Then
    Waitms 50
    If M > 1 Then M = M - 1
    Do
    Loop Until S1 = 1
    Waitms 50
  End If

  If M = 0 Then                                             'Standby
    Led1 = 1
    Waitms 10
    Led1 = 0
    Waitms 500
  End If

  If M = 1 Then                                             'very busy
    Led1 = 1 : Led2 = 1
    Waitms 30
    Led1 = 0 : Led2 = 0
    Waitms 100
    Led1 = 1 : Led2 = 1
    Waitms 30
    Led1 = 0 : Led2 = 0
     Waitms 840
  End If

  If M = 2 Then                                             'busy
    Led1 = 1 : Led2 = 1
    Waitms 30
    Led1 = 0 : Led2 = 0
    Waitms 970
  End If

  If M = 3 Then                                             'relaxing
    Led2 = 1
    Waitms 30
    Led2 = 0
    Waitms 100
    Led2 = 1
    Waitms 30
    Led2 = 0
    Waitms 840
  End If

  If M = 4 Then                                             'relexed
    Led2 = 1
    Waitms 30
    Led2 = 0
    Waitms 970
  End If

  If M = 5 Then                                             'ready
    Led1 = 1
    Waitms 30
    Led1 = 0
    Waitms 970
  End If

  If M = 6 Then                                             'go
    Led1 = 1
    Waitms 30
    Led1 = 0
    Waitms 100
    Led1 = 1
    Waitms 30
    Led1 = 0
    Waitms 840
  End If

Loop

End